Subject: Re: bug#50168: Inconsistent behavior creating partitions with 'Xmib' and 'X%' (off-by-1 error?)
From: "Brian C. Lane" <[email-masked]>
To: [email-masked]
Date: Thu, 26 Aug 2021 14:42:31 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Aug 22, 2021 at 07:59:06PM +0200, Diederik de Haas wrote:
> This is a forward of https://bugs.debian.org/988146 where I reported that 
> partitions were created differently when using 'mib' unit vs '%' unit.

This list is where those bugs end up, so the first one made it :)

> 
> Creating 4th partition ('60mib' '100%' ... Error: You requested a partition 
> from 62,9MB to 105MB (sectors 122880..204799).
> The closest location we can manage is 62,9MB to 105MB (sectors 
> 122881..204799).

When you use MiB as a unit you are requesting an exact location, so this
is telling you that sector 122880 (60*1024*1024) is already in use and
it has to use the next sector instead. The other units use a snap
algorithm with a radius of half the unit size (eg. 500k for MB) so it
doesn't have this problem, and it is the default so that's why the
output units are in MB.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart